Subject: Re: Different svn-id URLs in history

From: Michael J Gruber <[email-masked]>
Date: Tue, 07 Oct 2008 17:01:44 +0200

Knut Eldhuset venit, vidit, dixit 07.10.2008 12:58:
> Hi,
> 
> After cloning my svn repository, I notice that the svn-id URL is 
> different when going back in history:
> 
> git-svn-id: https://server/trunk@300
> 
> vs
> 
> git-svn-id: https://server/trunk/some_folder/project/src@250
> 
> If i checkout the first version, I get a working copy that has the 
> folder "some_folder" in it. If I checkout the latter version, I get a 
> working copy with the contents of the folder "src". Why is this? I 
> thought I always was supposed to get a wc with the whole tree.
> 
> Regards,
> Knut Eldhuset

I take this is as an invitation for guesswork (given the amount of
details)...

You probably have commits which don't follow your usual svn repo layout
(trunk/some_folder/project/src) but commit to trunk/ directly. The output of

svn log -v -r300 https://server/trunk@300
svn log -v -r250 https://server/trunk/some_folder/project/src@250

should give some clues.

Michael